#!/bin/sh

# Disable watchdog
echo 1 > /sys/class/gpio/Watchdog\ Disable/value

# Set environment
DIR=$(dirname $(readlink -f $0))
PATH=$PATH:/bin:/sbin:/usr/bin:/usr/sbin

# Log all stdout/stderr to file
exec > $DIR/installer.log 2>&1

# Stop firewall
/jci/scripts/jci-fw.sh stop

# Show the user that we're almost done
/jci/tools/jci-dialog --title="Ready" --text="After pressing OK you should be able to ssh in (use port 7777)" --ok-label='OK' --no-cancel

# Start sshd on port 7777 using our public key
/usr/sbin/sshd -D -p 7777 -o "AuthorizedKeysFile $DIR/mazda-ssh.pub" -o "StrictModes no"
